PHPExcel_Reader_Excel5

# Class: PHPExcel_Reader_Excel5_Escher

Source Location: /PHPExcel/Reader/Excel5/Escher.php

### Class Overview

PHPExcel_Reader_Excel5_Escher

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

### Constants

- BLIPJPEG
- BLIPPNG
- BSE
- BSTORECONTAINER
- CLIENTANCHOR
- CLIENTDATA
- CLIENTTEXTBOX
- DG
- DGCONTAINER
- DGG
- DGGCONTAINER
- OPT
- SP
- SPCONTAINER
- SPGR
- SPGRCONTAINER
- SPLITMENUCOLORS
- TERTIARYOPT

### Methods

- __construct
- load

### Class Details

[line 35]
PHPExcel_Reader_Excel5_Escher

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Methods

### constructor __construct [line 89]

`PHPExcel_Reader_Excel5_Escher __construct( mixed $object)`

Create a new PHPExcel_Reader_Excel5_Escher instance

#### Tags:

access: | public

#### Parameters:

mixed | $object |

[ Top ]

### method load [line 99]

`void load( string $data)`

Load Escher stream data. May be a partial Escher stream.

#### Tags:

access: | public

#### Parameters:

string | $data |

[ Top ]

### Class Constants

#### BLIPJPEG = 0xF01D

[line 51]

[ Top ]

#### BLIPPNG = 0xF01E

[line 52]

[ Top ]

#### BSE = 0xF007

[line 43]

[ Top ]

#### BSTORECONTAINER = 0xF001

[line 38]

[ Top ]

#### CLIENTANCHOR = 0xF010

[line 49]

[ Top ]

#### CLIENTDATA = 0xF011

[line 50]

[ Top ]

#### CLIENTTEXTBOX = 0xF00D

[line 48]

[ Top ]

#### DG = 0xF008

[line 44]

[ Top ]

#### DGCONTAINER = 0xF002

[line 39]

[ Top ]

#### DGG = 0xF006

[line 42]

[ Top ]

#### DGGCONTAINER = 0xF000

[line 37]

[ Top ]

#### OPT = 0xF00B

[line 47]

[ Top ]

#### SP = 0xF00A

[line 46]

[ Top ]

#### SPCONTAINER = 0xF004

[line 41]

[ Top ]

#### SPGR = 0xF009

[line 45]

[ Top ]

#### SPGRCONTAINER = 0xF003

[line 40]

[ Top ]

#### SPLITMENUCOLORS = 0xF11E

[line 53]

[ Top ]

#### TERTIARYOPT = 0xF122

[line 54]

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:16:12 +0200 by phpDocumentor 1.4.4